# $Revision: 1.16 $, $Date: 2007-02-13 08:06:38 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
%bcond_without	autodeps	# don't BR packages needed only for resolving deps
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	UNIVERSAL
%define		pnam	moniker
Summary:	UNIVERSAL::moniker - guess how class would be called in real world
Summary(pl.UTF-8):	UNIVERSAL::moniker - odgadywanie nazwy obiektu w świecie rzeczywistym
Name:		perl-UNIVERSAL-moniker
Version:	0.08
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e59b97ccf88f9fa68c3e5c18d7059d57
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with autodeps} || %{with tests}
BuildRequires:	perl-Lingua-EN-Inflect	>= 1.88
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
UNIVERSAL::moniker enables classes to make a good guess at what they
would be called in the real world.

%description -l pl.UTF-8
UNIVERSAL::moniker pozwala klasom na odgadnięcia jak w świecie
rzeczywistym nazywałby się należące do nich obiekty.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-UNIVERSAL-moniker.spec,v $
Revision 1.16  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.15  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.14  2004/11/03 22:30:53  paladine
- formatting

Revision 1.13  2004/08/22 09:36:15  adamg
- updated to 0.08

Revision 1.12  2004/06/05 20:26:54  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.11  2004/05/06 18:43:24  ankry
- fixed perl-devel BR

Revision 1.10  2004/05/03 23:35:30  ankry
- tests enabled, license fix, cosmetics

Revision 1.9  2004/04/15 10:01:05  ankry
- cosmetics

Revision 1.8  2004/03/07 10:42:41  adamg
- updated to 0.07
- fixed bcond usage

Revision 1.7  2004/01/10 16:22:24  migo
- new bcond style, license cosmetics

Revision 1.6  2003/09/27 21:03:03  migo
- fixes in description

Revision 1.5  2003/09/18 13:22:42  adamg
- updated to 0.06

Revision 1.4  2003/09/05 21:31:48  migo
- up to 0.05

Revision 1.3  2003/09/03 07:29:29  migo
- up to 0.04

Revision 1.2  2003/08/28 15:15:54  ankry
- pl

Revision 1.1  2003/08/27 11:10:57  migo
- initial release
